Subject: Re: bug#52173: `ś' character not available using `C-x 8'

From: Robert Pluim <[email-masked]>
Date: Mon, 29 Nov 2021 15:37:52 +0100

>>>>> On Mon, 29 Nov 2021 15:24:09 +0100, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> There are hundreds of characters that you could add to C-x 8, thereʼs
    >> nothing particularly special about Polish and Czech: this is why input
    >> methods exist. What might be more useful is an input-method ring, so
    >> you could quickly switch between 2 or more input methods.

    Lars> But adding more things to `C-x 8' isn't a bad idea, either.  Basically,
    Lars> you could make the same argument for all the `C-x 8' things, but we have
    Lars> that keymap because it's convenient for people that doesn't use those
    Lars> diacritics normally.

Except C-x 8 is nominally based on ISO 10646, so thereʼs some kind of
underlying logic to the characters it supports.

    Lars> Adding `C-x 8 ' s` for instance, wouldn't get in the way of anything
    Lars> else, but would be helpful for those that have to write the
    Lars> occasional...  er...  what is it?  An s with a caron?  

s with acute. But there are input methods where 's => s with cedilla
(eg Romanian), so what's the logic for preferring Polish, especially
when we already have Polish/Czech/Romanian/latin-n methods etc for all
these characters?

Robert
--